<?xml version="1.0" encoding="UTF-8"?>
<control-inst fade="true" capture="true" xsi:type="dialogType" xmlns="http://www.sonyericsson.com/sui" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sonyericsson.com/sui x:\sui.xsd">
		
	<visuals>
		<visual id="DialogWithButtonsBackground">
			<visual-inst xsi:type="imageVisualType" scale-mode="cover">
				<data data-type="imagedata" bmp="14" msk="15">\resource\Apps\MCFDialogIcons.mbm</data>
			</visual-inst>
		</visual>
	
		<visual id="UpdateText">
			<visual-inst xsi:type="textVisualType" size="18" colour="#FFFFFF" lines="8" wrap="break" h-align="center" v-align="center">
				<data data-type="provider">MCFUpdateDialog#MCFUpdateText</data>
			</visual-inst>
		</visual>
		
		<visual id="progressbar">
			<visual-inst xsi:type="imageVisualType" scale-mode="cover">
				<data data-type="filename">\shared\mc\MCProgressBar\MCProgressBar_Anim_Opq.mng</data>
			</visual-inst>
		</visual>

		<visual id="buttonbarseperator">
			<visual-inst xsi:type="imageVisualType" scale-mode="normal">
				<data data-type="imagedata" bmp="6" msk="7">\resource\Apps\MCFButtonbarIcons.mbm</data>
			</visual-inst>
		</visual>
		
		<visual id="button-bar">
			<include href="MCFUpdateDialogButtonBar.xml"/>
		</visual>
	</visuals>
	
	<layouts>
		<layout id="layout1">
			<layout-mgr xsi:type="fixedLayoutMgr" fixed-width="324" fixed-height="268">
				<layout-item xsi:type="fixedLayoutItemType" x="0" y="0" width="324" height="268">
					<visual-link visual-id="DialogWithButtonsBackground"/>
				</layout-item>

				<layout-item xsi:type="fixedLayoutItemType" x="24" y="17" width="276" height="110">
					<visual-link visual-id="UpdateText"/>
				</layout-item>
				
				<layout-item xsi:type="fixedLayoutItemType" x="6" y="144" width="312" height="17">
					<visual-link visual-id="progressbar"/>
				</layout-item>

				<layout-item xsi:type="fixedLayoutItemType" x="161" y="207" width="2" height="60">
					<visual-link visual-id="buttonbarseperator"/>
				</layout-item>
				
				<layout-item xsi:type="fixedLayoutItemType" x="0" y="206" width="324" height="62">
					<visual-link visual-id="button-bar"/>
				</layout-item>
			</layout-mgr>
		</layout>
	</layouts>

	<transitions duration="200">
		<transition-event>
			<event-filter>
				<filter attribute="event_type" value="on_creation"/>
			</event-filter>

			<transition>
				<transition-effect xsi:type="fadeInEffectType"/>
			</transition>
		</transition-event>
	</transitions>
</control-inst>
